export const Transfer: typeof import("./transfer");
/**
 * @overload
 * Create a new worker pool
 * @param {import("./types.js").WorkerPoolOptions} [script]
 * @returns {Pool} pool
 */
export function pool(script?: import("./types.js").WorkerPoolOptions | undefined): import("./Pool");
/**
 * @overload
 * Create a new worker pool
 * @param {string} [script]
 * @param {import("./types.js").WorkerPoolOptions} [options]
 * @returns {Pool} pool
 */
export function pool(script?: string | undefined, options?: import("./types.js").WorkerPoolOptions | undefined): import("./Pool");
/**
 * Create a worker and optionally register a set of methods to the worker.
 * @param {{ [k: string]: (...args: any[]) => any }} [methods]
 * @param {import("./types.js").WorkerRegisterOptions} [options]
 */
export function worker(methods?: {
    [k: string]: (...args: any[]) => any;
} | undefined, options?: import("./types.js").WorkerRegisterOptions | undefined): void;
/**
 * Sends an event to the parent worker pool.
 * @param {any} payload
 */
export function workerEmit(payload: any): void;
import { Promise } from "./Promise";
import { platform } from "./environment";
import { isMainThread } from "./environment";
import { cpus } from "./environment";
export { Promise, platform, isMainThread, cpus };
